import type { NetlessApp, Storage } from "@netless/window-manager";
export declare type Step = "pickOptions" | "start" | "finish";
export declare type SelectorStorage = {
    teacher?: string;
    selected: string[];
    step: Step;
    startAt?: number;
    finishAt?: number;
    optionsCount: number;
};
export declare type Answer = {
    uid: string;
    name: string;
    answer: string[];
    time: number;
};
export declare type AnswerStorage = Storage<Record<string, Answer>>;
export declare type Api = {
    updateStep: (step: Step, optionsCount: number, selected: string[]) => void;
    studentAnswer: (answer: string[]) => void;
    finish: () => void;
    restart: () => void;
    updateTitle: (time: string, reset?: boolean) => void;
};
declare const Selector: NetlessApp;
export default Selector;
